## org.apache.commons.math3.exception
Class NotANumberException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math3.exception.MathIllegalArgumentException
                          org.apache.commons.math3.exception.MathIllegalNumberException
                              org.apache.commons.math3.exception.NotANumberException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class NotANumberException

extends MathIllegalNumberException

Exception to be thrown when a number is not a number.

Since:
  3.1
Version:
  $Id: NotANumberException.java 1422195 2012-12-15 06:45:18Z psteitz $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version Id.

Constructor Summary
`NotANumberException()` Construct the exception.

Method Summary

Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException
`getArgument`

Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

Constructor Detail

### NotANumberException

    public NotANumberException()

  Construct the exception.

Copyright (c) 2003-2013 Apache Software Foundation